Subject: Re: bug#13999: 24.3.50; rng-validate-while-idle -> (error "Selecting deleted buffer")

From: Leo Liu <[email-masked]>
Date: Wed, 20 Mar 2013 12:30:11 +0800

On 2013-03-20 11:29 +0800, Stefan Monnier wrote:
[snipped 8 lines]
> Yes, clearly a recipe would require killing the buffer in such a way
> that the timer is not canceled.  While we may want to try and fix the
> hole that lets this happen, I think it's still worthwhile to defensively
> make rng-validate-while-idle check that the buffer is still live, since
> the other problem may be anywhere in some unrelated code (potentially
> external to Emacs) that let-binds kill-buffer-hook (for example).

I fully agree. I'll see if I can get to the root of the problem while
the OP is finding a recipe. IOW, I'll take care of this bug.

Thanks.
Leo